CVE-2016-2512 (retired)

Priority
Description
The utils.http.is_safe_url function in Django before 1.8.10 and 1.9.x
before 1.9.3 allows remote attackers to redirect users to arbitrary web
sites and conduct phishing attacks or possibly conduct cross-site scripting
(XSS) attacks via a URL containing basic authentication, as demonstrated by
http://mysite.example.com\@attacker.com.
Notes
 mdeslaur> patch introduced a regression:
 mdeslaur> https://bugs.launchpad.net/ubuntu/+source/python-django/+bug/1553251
 mdeslaur> https://code.djangoproject.com/ticket/26308
 mdeslaur> https://github.com/django/django/commit/ada7a4aefb9bec4c34667b511022be6057102f98
 mdeslaur> https://github.com/django/django/commit/552f03869ea7f3072b3fa19ffb6cb2d957fd8447
Assigned-to
mdeslaur
Package
Upstream:released (1.8.10,1.9.3)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.8.7-1ubuntu2)
More Information

Updated: 2019-09-19 15:57:35 UTC (commit d32ebc32606b9517c6fa7d65a15441e2a57a6de5)